Subject: bug#39677: Evolution's inbox widget is blank

From: zimoun <[email-masked]>
Date: Tue, 18 Oct 2022 17:53:44 +0200

Hi,

It is about this old bug#39677 [1].  Sorry for not noticing it before.

1: <http://issues.guix.gnu.org/issue/39677>

On Wed, 19 Feb 2020 at 15:20, raingloom <[email-masked]> wrote:

> I've been haunted by this for months, so it's high time I make a proper bug
> report.
>
> I wiped all Evolution related directories I could find in .cache, .config, and
> .local, and reconfigured it from scratch, but that didn't help.
>
> When I open Evolution it prompts me for my password and pulls my emails
> without a problem, even shows a notification for them, but it doesn't
> display anything.
>
> It's not a font issue, because the scroll bar does not appear. There are no
> emails displayed at all. Double clicking on it should open a mail in a new
> window, but no window appears.
>
> I tried it in a VM that's a slight modification of my system, that had no
> problems.
> I also tried it in both i3wm and Gnome, but the results are identical.
>
> All I see in the log is this:
> ```
> (evolution:23706): GLib-GIO-WARNING **: 15:17:11.805: Your application did not
> unregister from D-Bus before destruction. Consider using g_application_run().
> ```
>
> I can send an strace log if necessary. The one I took was a bit long and
> didn't reveal much, but someone might have better luck.
>
> Any tips on where I should look?
>
> I suspect that it either doesn't play nice with some other package or that
> there is some state corruption I couldn't track down.
>
> For now I'll just use Geary for this account.

Well, I am not an user of Evolution.  The question is: is it still an
issue for you?  If yes, are you running Guix on foreign distro?  Or Guix
System?

Cheers,
simon